package com.trs.ggzyexchange.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.CqSwBargainResult;
import com.baomidou.mybatisplus.extension.service.IService;
import com.trs.ggzyexchange.entity.TenderDetailsVo;

/**
 * <p>
 * 交易结果信息 服务类
 * </p>
 *
 * @author trs
 * @since 2023-03-03
 */
public interface CqSwBargainResultService extends IService<CqSwBargainResult> {

    IPage<TenderDetailsVo> queryCqSwBargainResultAllList(Page<CqSwBargainResult> page);

    Long maxDataTimeStamp();

    IPage<TenderDetailsVo> queryCqSwBargainResultAllListByTime(Page<CqSwBargainResult> page, Long time);

    int countByRegionCodeAndTime(String region_code, Long resultStartTimeYyyyMMdd, Long resultEndTimeYyyyMMdd);

    int countByRegionCode(String areaCode);

    CqSwBargainResult getSumMoneyByRegionCode(String areaCode);

    CqSwBargainResult getSumMoneyByRegionCodeAndTime(String regionCode, String resultStartTime, String resultEndTime);
}
